Wednesday, 28 January 2015

Not much luck with ARDroneSDK3 from Parrot

Was following information from this link to install the ARDroneSDK3 for the drones released by Parrot on my MacBook, was thinking to compile and deploy the drone controlling app on iOS devices. However not much luck, tried  searching the net but also couldn't find much info.

I ran the "CheckEnv.py" and as shown below it says "iOS: OK"

But when actually run "./SDK3Build.py -t iOS" and after a long wait, the result is as below. iOS: curl, json, ARSAL failed, rest all "NOT_BUILT".

Went through the long list of logs and found lots of errors such as:

Running <xcrun --sdk iphoneos --find llvm-gcc>

Error while running <xcrun --sdk iphoneos --find llvm-gcc>

But I thought from XCode 5 onward no longer uses llvm-gcc??!! according to this link from Apple:

Deprecation and Removal Notice:
Important: Xcode 5 does not support use of the LLVM-GCC compiler and the GDB debugger. Existing projects configured to use LLVM-GCC and GDB will be reconfigured to use the LLVM compiler and LLDB debugger when opened by Xcode 5.

I also installed all the tools mentioned in the ARDroneSDK3 document: git, wget, automake, autoconf, libtool, rpl. Even installed brew, but still not working.... quite frustrating...


[Update 11/Feb/2015]
Finally got it compiled ok, please see this post for further details.

[Update 04/Oct/2015]
Please see this post for info about failed experience with compiling V3.6 version of the SDK in OS X 10.10.5 Yosemite on new MacBook Pro with retina display.

No comments:

Post a Comment